Bug 74850 - Konqueror crashes when double-clicking MP3-Files or MPEG-Videos
Summary: Konqueror crashes when double-clicking MP3-Files or MPEG-Videos
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: athlon Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-02 08:21 UTC by Need Real Name
Modified: 2007-04-18 16:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-05 20:55:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-10-02 08:21:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
The description says it all. Konqueror dies with a SEGV when trying to view
either MP3 or MPEG files. I know that MP3 support has been removed from Psyche,
but this is still no reason to SEGV.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select a directory with MPEG-Videos
2. Double click one of the files
3. See Konqueror die
	

Actual Results:  Konqueror dies and shows the KDE debug window.

Expected Results:  Ideally the file should be played. Without MP3 support
Konqueror should ask what to do now.

Additional info:

none.

Comment 1 Ali-Reza Anghaie 2002-10-02 14:01:17 UTC
I can confirm this w/ MPEG as well until I create my own association (which 
doesn't surprise me) but it still shouldn't die as such. Furthermore, it seems 
to take ARTS down with it (kcminit arts doesn't restart it but launching the 
arts control panel does which might be another bug w/ kcminit or what-not). 
 
Anyhow. Cheers, -Ali

Comment 2 Miloslav Trmac 2002-10-02 17:44:04 UTC
ali: in RH 8.0, you need to 'kcminit kde-arts'. Known bug.

Comment 3 Ngo Than 2002-10-05 20:55:12 UTC
i can reproduce this bug which is caused from kaboodle.

Comment 4 Ngo Than 2002-10-05 21:43:20 UTC
The kdemultimedia-3.0.3-5 or new should fix this problem. You will find it in
next rawhide release.



Note You need to log in before you can comment on or make changes to this bug.